using System;
using NinjaTrader.Cbi;

internal sealed class Delegate358 : MulticastDelegate
{
	public extern ConnectionStatus Invoke(object object_0);

	public static ConnectionStatus smethod_0(object object_0, Delegate358 delegate358_1)
	{
		return delegate358_1(object_0);
	}

	public extern Delegate358(object object_0, IntPtr intptr_0);

	static Delegate358()
	{
		Class10.smethod_13(typeof(Delegate358).TypeHandle);
	}

	internal static Delegate358 delegate358_0;
}
